$ ! Tierra installation macro
$ !
$ ! P1 - P4 - "make" target names
$ !
$ ! rename old tierra directory if found
$ !
$ ! create directories
$   cre/dir [.tierra.bin]
$   cre/dir [.tierra.data]
$   cre/dir [.tierra.data.td]
$   cre/dir [.tierra.source]
$   cre/dir [.tierra.temp]
$ !
$ target = "[.tierra]vms.dir"
$ file = f$search(target)
$ if file .eqs. ""
$ then
$    cre/dir [.tierra.vms]
$ endif
$ !
$ target = "[.tierra.vms]macros.dir"
$ file = f$search(target)
$ if file .eqs. ""
$ then
$    cre/dir [.tierra.vms.macros]
$ endif
$ !
$ ! load data directory
$ target = "[.Tierra]gb*.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.data]
$ endif
$ !
$ target = "[.Tierra]mapfile*.;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.data]
$ endif
$ !
$ target = "[.Tierra]si*.;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.data]
$ endif
$ !
$ target = "[.Tierra]soup_in.;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.data]
$ endif
$ !
$ ! load source directory
$ target = "[.Tierra]mesg.h;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ target = "[.Tierra]mesg_xdr.c;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ target = "[.Tierra]*.h;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.source]
$ endif
$ !
$ target = "[.Tierra]*.x;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.source]
$ endif
$ !
$ target = "[.Tierra]*.c;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.source]
$ endif
$ !
$ ! load main directory
$ target = "[.Tierra.vms]vms_setup.com;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.Tierra]
$ endif
$ !
$ ! load vms directory
$ target = "[.Tierra.vms]*.com;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.vms.macros]
$ endif
$ !
$ target = "[.Tierra.vms]makefile.;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.vms]
$ endif
$ !
$ target = "[.Tierra.vms]makefile1.;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.vms]
$ endif
$ !
$ target = "[.Tierra.vms]readme.;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.vms]
$ endif
$ !
$ target = "[.Tierra.vms]tierra_lnk.opt;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.vms]
$ endif
$ !
$ target = "[.Tierra.vms]*.def;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    rename 'target' [.tierra.vms]
$ endif
$ !
$ ! Remove unneeded system directories
$ !
$ ! Amiga
$ target = "[.Tierra]Amiga.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    target1 = "[.Tierra.Amiga]*.*;*"
$    file = f$search(target1)
$    if file .nes. ""
$    then
$       set protect 'target1'
$       delete/nolog 'target1'
$    endif
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ ! Mac
$ target = "[.Tierra]Mac.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    target1 = "[.Tierra.Mac]*.*;*"
$    file = f$search(target1)
$    if file .nes. ""
$    then
$       set protect 'target1'
$       delete/nolog 'target1'
$    endif
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ ! Windows
$ target = "[.Tierra]Windows.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    target1 = "[.Tierra.Windows]*.*;*"
$    file = f$search(target1)
$    if file .nes. ""
$    then
$       set protect 'target1'
$       delete/nolog 'target1'
$    endif
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ ! monitor directory cleanup
$ target = "monitor.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    target1= "[.monitor]*.*;*"
$    file = f$search(target1)
$    if file .nes. ""
$    then
$       target2= "[.monitor.*]*.*;*"
$       file = f$search(target2)
$       if file .nes. ""
$       then
$          set protect 'target2'
$          delete/nolog 'target2'
$       endif
$       set protect 'target1'
$       delete/nolog 'target1'
$    endif
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ ! alcomm directory cleanup
$ target = "alcomm.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    target1= "[.alcomm]*.*;*"
$    file = f$search(target1)
$    if file .nes. ""
$    then
$       target2= "[.alcomm.*]*.*;*"
$       file = f$search(target2)
$       if file .nes. ""
$       then
$          set protect 'target2'
$          delete/nolog 'target2'
$       endif
$       set protect 'target1'
$       delete/nolog 'target1'
$    endif
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ ! beagle directory cleanup
$ target = "beagle.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    target1= "[.beagle]*.*;*"
$    file = f$search(target1)
$    if file .nes. ""
$    then
$       target2= "[.beagle.*]*.*;*"
$       file = f$search(target2)
$       if file .nes. ""
$       then
$          set protect 'target2'
$          delete/nolog 'target2'
$       endif
$       set protect 'target1'
$       delete/nolog 'target1'
$    endif
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ ! doc directory cleanup
$ target = "doc.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    target1= "[.doc]*.*;*"
$    file = f$search(target1)
$    if file .nes. ""
$    then
$       target2= "[.doc.*]*.*;*"
$       file = f$search(target2)
$       if file .nes. ""
$       then
$          set protect 'target2'
$          delete/nolog 'target2'
$       endif
$       set protect 'target1'
$       delete/nolog 'target1'
$    endif
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ ! overview directory cleanup
$ target = "overview.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    target1= "[.overview]*.*;*"
$    file = f$search(target1)
$    if file .nes. ""
$    then
$       target2= "[.overview.*]*.*;*"
$       file = f$search(target2)
$       if file .nes. ""
$       then
$          set protect 'target2'
$          delete/nolog 'target2'
$       endif
$       set protect 'target1'
$       delete/nolog 'target1'
$    endif
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ ! tools directory cleanup
$ target = "tools.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    target1= "[.tools]*.*;*"
$    file = f$search(target1)
$    if file .nes. ""
$    then
$       target2= "[.tools.*]*.*;*"
$       file = f$search(target2)
$       if file .nes. ""
$       then
$          set protect 'target2'
$          delete/nolog 'target2'
$       endif
$       set protect 'target1'
$       delete/nolog 'target1'
$    endif
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ target = "readme.;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ ! Tierra directory cleanup
$ target = "[.tierra]*.*;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    delete/nolog 'target' /exclude=([.tierra]*.dir, [.tierra]vms_setup.com;*)
$ endif
$ !
$ target = "[.tierra]etc.dir;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    target1 = "[.tierra.etc]*.*;*"
$    file = f$search(target1)
$    if file .nes. ""
$    then
$       set protect 'target1'
$       delete/nolog 'target1'
$    endif
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ !
$ ! rpcgen build
$   target = "[.tierra]rpcgen.dir;*"
$   file = f$search(target)
$   if file .nes. ""
$   then
$      rpcgen == "@[.tierra.vms.macros]rpcgen.com"
$      cmdbuf = make+"/verify/input=[.tierra.rpcgen]rpcgenvms.mak
$      cmdbuf
$    endif
$ !
$ ! Tierra build
$ !
$ ! target 1
$ if P1 .nes. ""
$ then
$    cmdbuf = make+"/verify/input=[.tierra.vms]makefile "+P1
$    cmdbuf
$ endif
$ !
$ ! target 2
$ if P2 .nes. ""
$ then
$    cmdbuf = make+"/verify/input=[.tierra.vms]makefile "+P2
$    cmdbuf
$ endif
$ !
$ ! target 3
$ if P3 .nes. ""
$ then
$    cmdbuf = make+"/verify/input=[.tierra.vms]makefile "+P3
$    cmdbuf
$ endif
$ !
$ ! target 4
$ if P4 .nes. ""
$ then
$    cmdbuf = make+"/verify/input=[.tierra.vms]makefile "+P4
$    cmdbuf
$ endif
$ !
$ !  build clean up
$ !
$ target="[.tierra.temp]*.*;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    delete/nolog 'target' /exclude=[.tierra.temp]*.*d*o;*
$ endif
$ !
$ file = f$search("[.tierra.bin]tierra_*d*.exe")
$ if file .eqs. ""
$ then
$    set protect [.tierra.source]*.*;*
$    delete/nolog [.tierra.source]*.*;*
$    set protect [.Tierra]source.dir;*
$    delete/nolog [.Tierra]source.dir;*
$    delete/nolog [.tierra.vms]makefile.;*
$    delete/nolog [.tierra.vms]makefile1.;*
$    delete/nolog [.tierra.vms]*.def;*
$    delete/nolog [.tierra.vms]tierra_lnk.opt;*
$    set protect [.tierra]temp.dir;*
$    delete/nolog [.tierra]temp.dir;*
$ !
$ !  cleanup rpcgen
$    set protect [.tierra.vms.macros]rpcgen.com;*
$    delete/nolog [.tierra.vms.macros]rpcgen.com;*
$    set protect [.tierra.rpcgen.*]*.*;*
$    delete/nolog [.tierra.rpcgen.*]*.*;*
$    set protect [.tierra.rpcgen]*.*;*
$    delete/nolog [.tierra.rpcgen]*.*;*
$    set protect [.Tierra]rpcgen.dir;*
$    delete/nolog [.Tierra]rpcgen.dir;*
$    delete/nolog [.tierra.bin]rpcgen*.exe;*
$ endif
$ !
$ ! data initialization
$ @[.tierra]vms_setup
$ set def [.tierra.data]
$ initall
$ target = "[-.vms.macros]install.com;*"
$ file = f$search(target)
$ if file .nes. ""
$ then
$    set protect 'target'
$    delete/nolog 'target'
$ endif
$ rpcgen == ""
