/* @(#)prototyp.h	1.3 11/18/94*/
/* prototyp.h  7-3-96 */
/* function prototypes for Tierra Simulator, included at end of tierra.h */
/* Tierra Simulator V4.3: Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996 */
/* Tom Ray & Virtual Life */

/*
 * h_sccsid: @(#)prototyp.h	1.4	4/26/92
 */

#include "license.h"
#include "configur.h"

#ifndef PROTOTYP_H
#define PROTOTYP_H

#ifdef DECVAX
#include <unixio.h>
#include <signal.h>
#include <stat.h>
#endif /* DECVAX */

extern void initvar P_((void));
extern void MenuLine P_((char *linemsg, int *linecnt,
   int menucol, int *menunum, int menuopt));
extern void GoSave P_((void));
extern void GoShell P_((void));
extern void GoSaveQuit P_((void));
extern void GoQuit P_((void));
extern void GoVariable P_((void));
extern void GoAlter P_((void));
extern void GoExamine P_((void));
extern void GoInfo P_((void));
extern void GoPlan P_((void));
extern void GoSizeQuery P_((void));
extern void GoSizeHist P_((void));
extern void GoMem P_((void));
extern void GoGene P_((void));
extern void GoMisc P_((void));
extern void GoHistoLog P_((void));
extern void GoMicroToggle P_((void));
extern void GoALComm P_((void));
extern void GoInject P_((void));
extern void GoHistoCtrl P_((void));
extern void PageHist P_((void));

extern void TmplAdd P_((I32s  si, TmpList  *tl));
extern void TmplRem P_((I32s  si, TmpList  *tl));
extern void MemStatReport P_((void));
extern void InitMemProf P_((void));
extern void MemStats P_((I32s  label, I32s  af, I32s  size));
extern void ChangeGeneBnker P_((I32s  gb));
extern void clrf P_((void));
extern void ter P_((void));
extern void tbf P_((void));
extern void tdf P_((void));
extern void tdr P_((void));
extern void tsr P_((void));
extern void migrate P_((void));
extern void NEject P_((I32s  gen, I32s  siz, I32s  IP));
extern void FreeGen P_((GList  *g, I32s qr));
extern GList * GetAGen P_((I8s  *crit));
extern GList * GetAGenExt P_((I8s *crit, I8s *ext));
extern I8s IsFree P_((I32s  x));
extern I32s MemAlloc P_((I32s  size, I32s  pref, I32s  tol));
extern void MemDealloc P_((I32s  x, I32s  y));
extern void MemInit P_((void));
extern int Inject P_((FpInst  g, I32s  size, I32s  sad, I32s  tol,
        I32s  disk, float  *rrpi));
extern I32s InjectFromBank
        P_((I8s  *crit, I32s  sad, I32s  tol, I32s injectnum));
extern Pcells GetFreeCell P_((void));
extern I32s Hash P_((I32s  size, FpInst  v));
extern void FreeDynMem P_((void));
extern void GBGarbageCollect P_((void));
extern void CellsGarbageCollect P_((void));
extern void VerifyGB P_((void));
extern void VerifyGQ P_((Pgl  g));
extern void SavGeneBank P_((void));
extern void SavDynMem P_((void));
extern void ReadGeneBank P_((void));
extern void ReadDynMem P_((void));
extern void DivideBookeep P_((Pcells  mc, Pcells  ne));
extern void DivGenBook P_((Pcells  cp, Event  InstExe,
        I32s  reaped, I32s  mom, I32s  same, I32s  disk));
extern void OutDisk P_((I32s bd, Pcells nc));
extern void ReapBookeep P_((Pcells  cr));
extern void ReapGenBook P_((Pcells  cp));
extern void MutBookeep P_((I32s i));
extern void plan P_((void));
extern void stats P_((void));
extern void MemoryProfile P_((void));
extern void CalcAverages P_((void));
extern void CalcSoupMaxes P_((void));
extern void CalcSoupStats P_((void));
extern void CalcGBMaxes P_((SList Fp Fp  lsl, I32s  lsiz_sl));
extern void CalcGBStats P_((SList Fp Fp  lsl, I32s  lsiz_sl));
extern void CalcTimeSoup P_((void));
extern SList Fp Fp MkGBFromSoup P_((I32s * lsiz_sl, SList Fp Fp Fp lsl,
        I32s flag));
extern void FreeGB P_((SList Fp Fp Fp lsl, I32s * lsiz_sl));
extern void extract P_((Pcells  cx, I32s  virtual));
extern void GetGenList P_((I32s  flags));
extern void InitGList P_((Pgl g, I32s si, I32s gi, I32s size));
extern void CheckGenotype P_((Dem  * cd, I32s  flags, I32s * lsiz_sl,
        SList Fp Fp Fp lsl));
extern int gc P_((void));
extern I8s IsNewSize P_((I32s  si, I32s  lsiz_sl, SList Fp Fp lsl));
extern void NewSize P_((Dem  *cd, I32s  flags, I32s  *lsiz_sl,
        SList Fp Fp Fp lsl));
extern I16s IsInGenQueue P_((Dem  *cd, I32s  hash, SList Fp Fp lsl));
extern I16s IsInGenBank P_((Dem  *cd, I32s  hash, I32s  flags,
        SList Fp Fp lsl));
extern void JumpTrack P_((void));
extern I16s NewGenotype P_((Dem  *cd, I32s  hash, SList Fp Fp lsl));
extern I32u WhoIs P_((Pcells  Fp cp, I32s a));
extern I8s IsSameGen P_((I32s size, FpInst g1, FpInst g2));
extern void AdjCtrlVars P_((void));
extern void gq_add P_((GList  *p));
extern void gq_movtop P_((GList  *p));
extern I8s gq_swap P_((void));
extern void gq_rem P_((GList  *p));
extern GList *gq_read P_((int si, int gi));
extern void printq P_((void));
extern void IncrLbl P_((I8s *lbln, I8s *lblo));
extern void MaxLbl P_((I8s *lbl, I8s *s));
extern I8s *Int2Lbl P_((I32s i));
extern I16s Lbl2Int P_((I8s  *s));
extern void DelGenFile P_((Pgl tgl));
extern FILE *open_ar P_((I8s *file, I32s size, I32s format, I32s mode));
extern head_t read_head P_((FILE * fp));
extern void write_head P_((FILE * fp, head_t * head));
extern indx_t *read_indx P_((FILE * fp, head_t * head));
extern void write_indx P_((FILE * fp, head_t * head, indx_t * indx));
extern I32s find_gen P_((indx_t  *indx, I8s  *gen, I32s  n));
extern Pgl get_gen P_((FILE * fp, head_t * head, indx_t * indxn, I32s n));
extern I32s add_gen P_((FILE * fp, head_t * head, indx_t ** indx, Pgl gen));
extern I16s GetAscGen P_((Pgl g, I8s ifile[]));
extern I8s WritGenFile P_((Pgl  g, I8s  file[]));
extern void WritAscFile P_((Pgl  g, I8s  *file));
extern I16s GetGenFormat P_((Pgl g, I8s file[]));
extern Ascii2Ebcdic P_((I8s *s));
extern Ebcdic2Ascii P_((I8s *s));
extern void WritEcoB P_((I32u bits, I8s * buf));
extern void SetBit P_((I32u *seed, I32u bit, I32u value));
extern void DoRPNd P_((void));
extern void DoRPNu P_((void));
extern void DoFlags P_((void));
extern void DoMods P_((void));
extern void DoMods2 P_((void));
extern void DoMods3 P_((void));
extern void nop P_((void));
extern void not0 P_((void));
extern void xor P_((void));
extern void ior P_((void));
extern void clrrf P_((void));
extern void clrfi P_((void));
extern void and P_((void));
extern void skip P_((void));
extern void add P_((void));
extern void mul P_((void));
extern void idiv P_((void));
extern void push P_((void));
extern void pop P_((void));
extern void tcall P_((void));
extern void call P_((void));
extern void mov P_((void));
extern void movdd P_((void));
extern void movdi P_((void));
extern void movid P_((void));
extern void movii P_((void));
extern void adr P_((void));
extern I32s mal P_((I32s  *sug_addr, I32s  sug_size, I32s  mode));
extern void malchm P_((void));
extern void divide P_((void));
extern void CheckCells P_((void));
extern I32s flaw P_((void));
extern I32s ctemplate P_((I32s  *f, I32s  *b, I32s  *slim, I8s  *mode,
    I32s  tz, I32s  dir));
extern I8s IsPriv P_((Pcells ce, I32s a));
extern I8s IsBitPriv P_((Pcells ce, I32s a, I32s mode));
extern I8s PrivExec P_((Pcells ce, I32s a));
extern I8s PrivWrite P_((Pcells ce, I32s a));
extern I8s PrivRead P_((Pcells ce, I32s a));
extern I8s PrivReadRange P_((Pcells ce, I32s from, I32s to));
extern I8s IsInsideCell P_((Pcells ce, I32s a));
extern void WhichCell P_((I32s  a, Pcells Fp  ce, I8s  *md));
extern void thfree P_((void * ptr, I32s  siz, I32s  label));
extern void tfree P_((void * ptr, I32s  siz, I32s  label));
extern void * threcalloc P_((void * ptr, I32u  nsiz, I32u  osiz, I32s  label));
extern void * trecalloc P_((void * ptr, I32u  nsiz, I32u  osiz, I32s  label));
extern I8s Hp thcalloc P_((I32u num, I32u siz, I32s  label));
extern I8s Fp tcalloc P_((I32u  num, I32u  siz, I32s  label));
extern I32u tfread P_((I8s Hp ptr, I32s size, I32s n, FILE * stream));
extern I32u tfwrite P_((I8s Hp ptr, I32s size, I32s n, FILE * stream));
extern void IncrSliceQueue P_((void));
extern void DecrSliceQueue P_((void));
extern void EntBotSlicer P_((Pcells  nc));
extern void UpReaper P_((Pcells  cp));
extern void DownReaper P_((Pcells  cp));
extern void UpRprIf P_((Pcells  cp));
extern void DownReperIf P_((Pcells  cp));
extern void EntBotReaper P_((Pcells  cp));
extern void RmvFrmReaper P_((Pcells  cp));
extern void RmvFrmSlicer P_((Pcells  rc));
extern void SlicerPhoton P_((void));
extern I32s PhotonFit P_((I32s a, Instruction *PhotonInst, I32s PhotonSize));
extern I32s PhotonSlide P_((I32s a, Instruction *PhotonInst, I32s PhotonSize,
			    I32s PhotonWidth));
extern void PhotonTranslate P_((Instruction *PhotonInst, I8s *PhotonWord));
extern void SlicerQueue P_((void));
extern void RanSlicerQueue P_((void));
extern int main P_((int argc, char *argv[]));
extern void life P_((void));
extern void TimeSlice P_((I32s size_slice));
extern I16s FetchDecode P_((void));
extern void IncrementIp P_((void));
extern void IncrNPrIp P_((void));
extern void SystemWork P_((void));
extern void mutate P_((void));
extern void mut_site P_((HpInst s, I32s track));
extern void ReapCheck P_((void));
extern void reaper P_((I32s  ex, I32s  sad));
extern I32s SubEvent P_((Event * event1, Event * event2, Event * result));
extern void tsrand P_((I32s seed));
extern double tdrand P_((void));
extern I8s GetAVar P_((const I8s * data));
extern void GetAMap P_((const I8s * file));
extern void GetSoup P_((I32s argc, I8s *argv[]));
extern void StupGenLists P_((void));
extern void GetNewSoup P_((void));
extern void GetOldSoup P_((FILE * inf));
extern void WriteSoup P_((I32s close_disk));
extern void ToggleLog P_((void));
extern I16s glcmp P_((const void *gl1, const void *gl2));
extern I16s slcmp P_((const void *sl1, const void *sl2));
extern void InitCell P_((I32s  ar, I32s  ci, Pcells  cp));
extern void GenExExe P_((I32s adrt));
extern void GenExMov P_((I32s  to, I32s  from));
extern void GenExTemp P_((I32s adrt, I32s tsize));
extern void FEPrVQ P_((I8s  *data));
extern void FEBanner P_((void));
extern void FEGetStr P_((I32s  x, I32s  y));
extern I16s FEGetch P_((I32s  x, I32s  y));
extern void FEExit P_((I32s n));
extern void FEMenu P_((void));
extern void FEMemCheck P_((I8s  *msg));
extern void FEMemProf P_((I32s  SizSoup, I32s  SizCells, I32s  SizFreeMem,
    I32s  SizSl, I32s  SizSli, I32s  SizGl, I32s  SizGli, I32s  SizGen));
extern void FEStats P_((void));
extern void FEClrmsg P_((I32s  n, I8s  *buf));
extern void FECeol P_((void));
extern void FEStartup P_((void));
extern void FEPlan P_((I32s  log));
extern void FEPrintf P_((I32s scr_x, I32s scr_y, I32s scr_a, I32s slee,
    I8s * buff));
extern void FEError P_((I32s errno1, I32s exit, I32s write, I8s * buff));
extern void FEClear P_((void));
extern void FEVidInit P_((I16s mode));
#ifdef __MWERKS__
extern int id_compare P_((InstDef * i, InstDef * j));
extern int hg_compare P_((HistType * i, HistType * j));
extern int hs_compare P_((HistType * i, HistType * j));
extern int hc_compare P_((HistType * i, HistType * j));
extern int bc_compare P_((struct size_buf * i, struct size_buf * j));
extern int bg_compare P_((struct size_buf * i, struct size_buf * j));
extern int cmdline P_(( char *app, char ***));
#endif /* __MWERKS__ */
extern void DispQueryPage P_((int *querypgidx, size_buf *buf,
   int displinecnt, int num_spec, I32s size_class));
extern void DispSizeQuery P_((size_buf *buf,
   int num_spec, I32s size_class));
extern size_buf *InitSizeQuery P_((I32s size_class, int num_spec));
extern void GoSizeQuery P_((void));
extern void query_species P_((I32s num));
extern void FESoupImage	P_((FILE *fp, I32s x, I32s y, I32s n));
extern void FEPrintSI	P_((FILE *fp,I32s addr,I32s x,I32s n,I32s sz,I32s md));
extern void (*execute) P_((void));  /* pointer to execute function */
extern void (*decode) P_((void));   /* pointer to parse function */
extern void (*slicer) P_((void));   /* pointer to slicer function */

#if FRONTEND != STDIO

extern void query_spec_d P_((I32s size, I32s lbl));

#endif /* FRONTEND != STDIO */

#ifdef __TURBOC__

extern I8s KeyHit P_((void));

#if FRONTEND == STDIO

extern int T_sig_int   P_((void));

#endif /* FRONTEND == STDIO */

#endif /* __TURBOC__ */

#ifdef __MWERKS__
extern void T_sig_int P_((I32s sig));
#endif /* __MWERKS__ */

#ifdef unix
#ifdef __SOLARIS2__
extern void T_sig_int  P_((I32s sig));
extern void T_sig_read P_((I32s sig));
extern void T_sig_write P_((I32s sig));
extern void T_sig_info P_((I32s sig));
#else /* __SOLARIS2__ */
extern void T_sig_int  P_((I32s sig, I32s code, I32s *scp, I8s *addr));
extern void T_sig_read P_((I32s sig, I32s code, I32s * scp, I8s *addr));
extern void T_sig_write P_((I32s sig, I32s code, I32s * scp, I8s *addr));
extern void T_sig_info P_((I32s sig, I32s code, I32s * scp, I8s *addr));
#endif /* __SOLARIS2__ */
#endif /* unix */

#ifdef DECVAX
extern void T_sig_int  P_((int));
#endif /* DECVAX */

#if OPSYS == MAC
extern int FEProcessEvent(void);
#if INTERFACE == BASICM
extern void FEInitToolbox(void);
extern WindowPeek FECreateNewWindow(void);
#endif /* INTERFACE == BASICM */
#endif /* OPSYS == MAC */

#ifdef ALCOMM

extern void	_t_init_alcomm P_((void));
extern void	_t_life_bookeep P_((void));
extern void     _t_memory_stats P_(( unsigned char which, void *indata,
                    int inlen, void **outdata, int *outdatalen ));
extern void     _t_sim_runcontrol P_(( unsigned char which, void *data,
                    int datalen ));
extern void     _t_init_birthdeath P_(( ALtCLink * clink ));
extern void     _t_query_org P_(( I32s which, void * indata, int inlen, 
                    void **outdata, int *outdatalen ));
#endif /* ALCOMM */

extern void GoBrkClr P_((int untrkflg));
extern void TrkCPU P_((Pcells cp));
extern void UnTrkCPU P_((void));
extern void TrkCell P_((Pcells cp));
extern void UnTrkCell P_((void));
extern void SavBrkDat P_((void));
extern GlIndex EnterGenome
   P_((int promptline, char *prompttext, int *abortflag, int genchk));
extern I32s EnterLongVal
   P_((int promptline, char *prompttext, int *abortflag));
extern double EnterFloatVal
   P_((int promptline, char *prompttext, int *abortflag));

#ifdef MICRO

extern void Micro_Spy P_(( Pcells cp));
extern void GoBrkMenu P_((void));
extern void GoBrkSet P_((void));
extern void DisplayHostCell P_((
   Pcells cp, char *hostbuf1, char *hostbuf2,
   char *hostbuf3, char *hostbuf4));
extern void DebugDisplay P_((Pcells cp));
extern int ChkBrk P_((Pcells cp));
extern void ChkBrkBd P_((void));
extern Event Str2Event P_((char *eventbuf));
extern void RclBrkDat P_((void));
extern Pcells FindHost P_((I32s soupaddr, int *hosttype));
extern void GoRepeatBrk P_((void));
extern void ViewSoupStartAddr P_((void));
extern void DisplaySoupPage P_((void));
extern void ViewSoupHost
   P_((I32s soupviewaddr, char *hostbuf1, char *hostbuf2, char *hostbuf3));
extern double CalcAvgPopSizRng P_((void));
extern void DbgDisplCtrl P_((Pcells cp));
extern int CmpEvents P_((Event event1, Event event2));
extern void DisasmMenu P_((Pcells cp));
extern void Disasm_Creature P_((Pcells cp));
extern void Disasm_SpecGenome P_((void));
extern void Disasm_Resident P_((void));

/* break settings */
extern void Brk_Genome_Offset P_((void));
extern void Brk_CurCell_Offset P_((void));
extern void Brk_AbsTimeInst P_((void));
extern void Brk_IntrvlTimeInst P_((void));
extern void Brk_ParaGen_HostGen P_((void));
extern void Brk_PctChgPop P_((void));
extern void Brk_PermParaPermHost P_((void));
extern void Brk_PermGenTime P_((void));
extern void Brk_ParaGenPermHost P_((void));
extern void Brk_PermParaHost P_((void));
extern void Brk_GenSizeRange P_((void));
extern void Brk_PermPara_HostSizeRange P_((void));
extern void Brk_PermHost_ParaSizeRange P_((void));

#endif /* MICRO */

#ifdef HSEX

extern I8s  FindMate P_((Pcells cp));
extern I16s SetXover P_((Pcells cp));
extern I8s  DoMate   P_((void));
extern void UseMate  P_((Pcells cp));

#endif /* HSEX */

#ifdef IO

extern void put P_((void));
extern void puticc P_((void));
extern void pputicc P_((void));
extern void get P_((void));
extern void pget P_((void));
extern void Write2Get P_((Pcells  cp, I32s  value));
extern void Broad2Get P_((I32s  value));
extern I8s ReadFPut P_((Pcells  cp, I32s  *value));
extern Preg GetFreeGetBuf P_((Pcells  cp));
extern Preg GetFreePutBuf P_((Pcells  cp));
extern Pcells FindPutCell P_((Pcells  cp, I32s  adre));

#endif /* IO */

extern void csync P_((void));
extern void dec1s P_((void));
extern void dec2s P_((void));
extern void dec1d P_((void));
extern void dec1d1s P_((void));
extern void dec1d2s P_((void));
extern void dec1d3s P_((void));
extern void decadr P_((void));
extern void decjmp P_((void));
extern void enter P_((void));
extern void exch P_((void));
extern void getregs P_((void));
extern void join P_((void));
extern void not P_((void));
extern void offset P_((void));
extern void pmovdi P_((void));
extern void pmovid P_((void));
extern void pmovii P_((void));
extern void pnop P_((void));
extern void ptcall P_((void));
extern void rolld P_((void));
extern void rollu P_((void));
extern void shl P_((void));
extern void shr P_((void));
extern void split P_((void));

#ifdef SHADOW

extern void regorder P_((void));
extern void pushst P_((void));

#endif /* SHADOW */

#if PLOIDY > 1

extern void trex P_((void));
extern void trso P_((void));
extern void trde P_((void));
extern void ptrack P_((void));

#endif /* PLOIDY > 1 */

/* ---------------------------------------------------------------------- */

#ifdef NET

extern I32s InIPMap P_((NetAddr addr));
extern I32s Remot_from_IPMap P_((I32s  index));
extern I32s TreatTPingData P_(( TPingData *data, NetAddr *address,
    I32s reply));
extern I32s RandIP P_((void));
extern I32u pr_inet P_((I8s **listptr, I16s length));
extern I8s * NET_ALMalloc P_(( I16u uiSize ));
extern I16s NET_ALFree P_((I8s * pMem, I32s  siz));
extern I16s NetRecvFunc P_((void));
extern void tpingsnd P_((void));
extern void tpingrec P_((void));
extern void getip P_((void));
extern I32s TPing_send P_((I32s  IP, ComAddr *cell_addr));
extern I32s TPing_reply P_((TMessage *mesg));
extern I32s TPing_recv P_((TMessage *mesg));
extern I32s Addr_send P_((void));
extern I32s Addr_recv P_((TMessage *mesg));
extern I32s Bye_recv P_((TMessage *mesg));
extern I32s ChooseIP P_((I32s addr));
extern void SelfID P_((Pcells cp, ComAddr *cell_addr));
extern bool_t xdr_ComAddr P_((XDR *xdrsp, ComAddr *cell_addr));
extern void GetIPMap P_((FILE *fp));
extern I32u ReadIPMap P_((Pcells ce));
extern void InitIOS P_((IOS *  ios));
extern void IncrIOSnio P_((Pcells  cp));
extern I8s ReadIOS P_(( Pcells  cp, I32s  tag, I32s  dest));
extern I8s WriteIOS P_(( Pcells  cp, I32s  sou));
extern IOS * GetFreeIOS P_((Pcells  cp));
extern IOS * GetIOSOut P_((Pcells  cp));
extern IOS * GetTagIOS P_((Pcells  cp, I32s  tag));

/* prototypes for port_xdr.c */

#ifndef MON
#ifdef AMIGA

bool_t __regargs xdr_I8s(XDR *xdrs, I8s *objp);
bool_t __regargs xdr_I8u(XDR *xdrs, I8u *objp);
bool_t __regargs xdr_I16s(XDR *xdrs, I16s *objp);
bool_t __regargs xdr_I16u(XDR *xdrs, I16u *objp);
bool_t __regargs xdr_I32s(XDR *xdrs, I32s *objp);
bool_t __regargs xdr_I32u(XDR *xdrs, I32u *objp);

#else /* AMIGA */

#ifndef ALCOMM
bool_t xdr_I8s(XDR *xdrs, I8s *objp);
bool_t xdr_I8u(XDR *xdrs, I8u *objp);
bool_t xdr_I16s(XDR *xdrs, I16s *objp);
bool_t xdr_I16u(XDR *xdrs, I16u *objp);
bool_t xdr_I32s(XDR *xdrs, I32s *objp);
bool_t xdr_I32u(XDR *xdrs, I32u *objp);
#endif /* ALCOMM */

#endif /* AMIGA */
#endif /* MON */

#ifdef __MWERKS__

void GetTPingData P_((TPingData *data));
I16s MonInitMesFunc P_(( I16s fd ));
I32s passiveUDP P_(( I8s *service ));
I32s passiveTCP P_(( I8s *service, I32s qlen ));
I32s passivesock P_(( I8s *service, I8s *protocol, I32s qlen ));
I32s connectUDP P_(( I8s *host, I8s *service ));
I32s connectTCP P_(( I8s *host, I8s *service ));
I32s connectsock P_(( I8s *host, I8s *service, I8s *protocol ));
I32s Bye_send P_(());
void SaveIPMap P_((FILE *old_fp, FILE *new_fp));
void AddIPMap P_((MapNode new));
I32s RemoveIPMap P_((NetAddr dead));
int      getdomainname P_((char * domainName, int maxLength));
I32s HammingDist P_((I32u a, I32u b));
int     gettimeofday P_((struct timeval * time, struct timezone * zone));

#ifdef SIGBLOCK
I32s TSigBlock P_((I32s  value));
I32s TSigRelease P_((I32s value));
#endif /* SIGBLOCK */
#endif /* __MWERKS__ */
     
#endif /* NET */

#ifdef VRML

extern void UpdateVrml P_((void));

#endif /* VRML */


#ifdef ALCOMM2

void TPlan2 P_((void));
void net_init_alcomm P_((void));
void net_life_bookeep P_((void));
void SendCore P_((void));

#endif /* ALCOMM2 */

#ifdef SIGBLOCK

extern I32s TSigBlock P_((I32s  value));
extern I32s TSigRelease P_((I32s value));

#endif /* SIGBLOCK */

#ifdef AMIGA
#if FRONTEND == BASIC
   int kbhit(void);
#endif
   void T_sig_int(I32s sig, I32s code, I32s *scp, I8s  *addr);
   int xseek(FILE *fp, long rpos, int mode);
#ifndef NET
      void sleep(unsigned int delay);
#else
      I16s MonInitMesFunc(I16s fd);
      I32s HammingDist(I32u a, I32u b);
      void AddIPMap(MapNode new);
      I32s RemoveIPMap(NetAddr dead);
      void SaveIPMap(FILE *old_fp, FILE *new_fp);
      void GetTPingData(TPingData *data);
      I32s Bye_send(void);
      I32s passiveTCP(I8s *service, I32s qlen);
      I32s passiveUDP(I8s *service);
      I32s connectTCP(I8s *host, I8s *service);
      I32s connectsock(I8s *host, I8s *service, I8s *protocol);
      I32s connectUDP(I8s *host, I8s *service);
      I32s passivesock(I8s *service, I8s *protocol, I32s qlen );
#endif
#endif
#ifdef DECVAX
#ifdef NET
      I16s MonInitMesFunc(I16s fd);
      I32s HammingDist(I32u a, I32u b);
      void AddIPMap(MapNode new);
      I32s RemoveIPMap(NetAddr dead);
      void SaveIPMap(FILE *old_fp, FILE *new_fp);
      void GetTPingData(TPingData *data);
      I32s Bye_send(void);
      I32s passiveTCP(I8s *service, I32s qlen);
      I32s passiveUDP(I8s *service);
      I32s connectTCP(I8s *host, I8s *service);
      I32s connectsock(I8s *host, I8s *service, I8s *protocol);
      I32s connectUDP(I8s *host, I8s *service);
      I32s passivesock(I8s *service, I8s *protocol, I32s qlen );
      struct protoent *getprotoent(void);
      struct servent  *getservent(void);
      unsigned long inet_lnaof(struct in_addr addr);
      unsigned long inet_netof(struct in_addr addr);
      char * inet_ntoa(struct in_addr addr);
      struct hostent *gethostbyaddr(caddr_t addr, long len, long type);
      struct hostent *gethostbyname(char *name);
      struct netent *getnetbyaddr(long net, long type);
      struct netent *getnetbyname(char *name);
      struct protoent *getprotobyname(char *name);
      struct protoent *getprotobynumber(long proto);
      struct servent *getservbyname(char *port, char *proto);
      struct servent *getservbyport(long port, char *proto);
      int gettimeofday(struct timeval *tp, void *dumarg);
#endif /* NET */
#endif /* DECVAX */

#endif /* PROTOTYP_H */
